export var positioning = function () {
    var params = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        params[_i] = arguments[_i];
    }
    switch (params.length) {
        case 1: {
            var all = params[0];
            return {
                top: all,
                right: all,
                bottom: all,
                left: all,
            };
        }
        case 2: {
            var vertical = params[0];
            var horizontal = params[1];
            return {
                top: vertical,
                right: horizontal,
                bottom: vertical,
                left: horizontal,
            };
        }
        case 3: {
            var horizontal = params[1];
            return {
                top: params[0],
                right: horizontal,
                bottom: params[2],
                left: horizontal,
            };
        }
        case 4: {
            return {
                top: params[0],
                right: params[1],
                bottom: params[2],
                left: params[3],
            };
        }
        default: {
            throw new Error('Unsupported position value');
        }
    }
};
